000012904 - Determining the patch level for RSA Authentication Manager servers

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Aug 16, 2017
Version 3Show Document
  • View in full screen mode

Article Content

Article Number000012904
Applies ToRSA Product Set:  SecurID
RSA Product/Service Type:  Authentication Manager 
RSA Version/Condition: 2.0, 3.06.1, 7.1, 8.x
Platform:  AIX, HP-UX, Red Hat Enterprise Linux, Solaris, SUSE Linux, Windows
IssueThis article explains how to determine the patch level of Authentication Manager running in a deployment.  This information is important when reporting a defect or requesting an escalation.
Resolution

Authentication Manager 6.1 (Unix)


If Remote Administration is installed on a client machine


  1. Launch Remote Administration by navigating to Start > Program Files > RSA Security > RSA Authentication Manager Remote Administration.
  2. Authenticate to the server with authentication credentials (i. e., passcode, tokencode or static password).  
  3. Click Help > About Database Administration to get the version information.  
  • Version 6.1.2 [239] indicates Authentication Manager with patch 2 installed and hotfix 239.
  • The minor version number indicates the patch installed (i. e., 6.1.3, 6.1.4, 6.1.5).  
  • Authentication Manager 6.1 [300] is the base install of the product that has never been patched.

If Remote Administration is not available


  1. Login to the Authentication Manager 6.1 server via SSH and follow the steps below for the version:
#cd ace/prog
#cat version.txt

  • Version 6.1.2 [239] indicates Authentication Manager with patch 2 installed and hotfix 239.
  • The minor version number indicates the patch installed (i. e., 6.1.3, 6.1.4, 6.1.5).  
  • Authentication Manager 6.1 [300] is the base install of the product that has never been patched.
 

Authentication Manager 6.1 (Windows) and RSA SecurID Appliance 2.0


  1. Login to the Authentication Manager server directly, through RDP or Remote Administration.
  2. Log on to RSA Authentication Manager server.
  3. Select Start > Program Files > RSA Security > RSA Authentication Manager > Database Administration Hostmode or Remote Administration.
  4. Click Help > About Database Administration to get the version information.  
  • Version 6.1.2 [239] indicates Authentication Manager with patch 2 installed and hotfix 239.
  • The minor version number indicates the patch installed (i. e., 6.1.3, 6.1.4, 6.1.5).  
  • Authentication Manager 6.1 [300] is the base install of the product that has never been patched.


Authentication Manager 7.1 (Unix) and RSA SecurID Appliance 3.0


  1. Login to the Security Console.
  2. On the Home tab, click the Software Version Information link.  This will display the Authentication Manager 7.1 patch level.  For example:

am-7.1 SP4 P29 - 10/3/13 10:12:43 AM EDT


  1. If the Security Console is not accessible, the version can be captured via the operating system.  Login to the Authentication Manager server via SSH and follow the steps below for the version.  IN the example below, the version is 7.1.4-build6954725.
cd /usr/local/RSASecurity/RSAAUthenticationManager/utils/etc 
cat .patch.xml
{"Patch":{"cachedFileName":null,"logFileName":null,"version":"7.1.4-build6954725","installerURLTemplate":null,"requiredFreeDiskSpace":0,"reversible":false,
"osRebootRequired":false,"sudoPasswordRequired":false,"forceNeverInstalled":false,"appliedBy":"rsaadmin","appliedOn":1386353707092,"installAction":"UPDATE","updateType":
"MINOR_RELEASE"}}


 


Authentication Manager 7.1 (Windows)


  1. Login to the Security Console.
  2. On the Home tab, click the Software Version Information link.  This will display the Authentication Manager 7.1 patch level.  For example:

am-7.1 SP4 P29 - 10/3/13 10:12:43 AM EDT


  1. If the Security Console is not accessible, the version can be determined by reviewing the .patch.xml file:
    1. Open Windows Explorer.
    2. Browse to C:\Program Files\RSA Security\RSA Authentication Manager\utils\etc.
    3. Use a text editor, such as Notepad, to view the .patch.xml which contains the version information, here it is am-7.1 SP4:
<?xml version="1.0" encoding="UTF-8"?>
<ComponentPatch PatchNum="7.1.4-00000000000000" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <Component DISPLAY="am-7.1 SP4" NAME="am-7.1.4-build20110516110107"/>
    <Component DISPLAY="ims-2.0 SP4" NAME="ims-2.0.4-build20101216000000"/>
    <Component DISPLAY="cm-1.0 SP4" NAME="cm-1.0.4-build20101216000000"/>
</ComponentPatch>


Authentication Manager 8.x


1.  Login to the Security Console.
2.  On the Home tab, click the Software Version Information link.  This will display the Authentication Manager 8.x patch level.
3.  If the Security Console is not accessible, the version can be captured via the operating system.  Login to the Authentication Manager server via SSH and follow the steps below for the version. Here it is 8.1.0.0.0, which means 8.1 with no additional patches.


cd /opt/rsa/am/utils/etc
cat patchHistory.dat
{"Patch":{"cachedFileName":null,"logFileName":null,"version":"8.1.0.0.0-build1364817","installerURLTemplate":null,"requiredFreeDiskSpace":0,"reversible":false,
"osRebootRequired":false,"sudoPasswordRequired":false,"forceNeverInstalled":false,"appliedBy":"rsaadmin","appliedOn":1386353707092,"installAction":"UPDATE","updateType":
"MINOR_RELEASE"}}

Legacy Article IDa64830

Attachments

    Outcomes